Subject: Re: Kconfig Dependencies for CONFIG_NET_CLS_RSVP6

From: Frank Sorenson <[email-masked]>
Date: Fri, 14 Oct 2005 01:07:44 -0600

David S. Miller wrote:
> From: Frank Sorenson <[email-masked]>
> Date: Fri, 14 Oct 2005 00:37:59 -0600
> 
> 
>>I noticed that I can still select "Special RSVP classifier for IPv6"
>>even if "The IPv6 protocol" isn't selected.  Should CONFIG_NET_CLS_RSVP6
>>depend on or select IPV6?
>>
>>Currently:
>>Depends on: NET && NET_CLS && NET_QOS
> 
> 
> It doesn't need the ipv6 stack at all, it's just a classifier
> that looks at packet headers and makes decisions.

Okay, I suppose that makes more sense now.  I just wanted to check it
through, since I figured I'd turned off everything related to IPv6 :)

Thanks for explaining,

Frank
- --
Frank Sorenson - KD7TZK
Systems Manager, Computer Science Department
Brigham Young University
[email-masked]